Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum GeneratedType

    java.lang.Object
      java.lang.Enum<GeneratedType>
          org.eclipse.gmf.codegen.gmfgen.GeneratedType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GeneratedType>, org.eclipse.emf.common.util.Enumerator

    public enum GeneratedType

extends java.lang.Enum<GeneratedType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Generated Type', and utility methods for working with them.

See Also:
  `GMFGenPackage.getGeneratedType()`
** Generated **
Model:

Enum Constant Summary
`ABSTRACT_NAVIGATOR_ITEM_LITERAL` The 'Abstract Navigator Item' literal object

Field Summary
`static int` `ABSTRACT_NAVIGATOR_ITEM` The 'Abstract Navigator Item' literal value
`static java.util.List<GeneratedType>` `VALUES` A public read-only list of all the 'Generated Type' enumerators

Method Summary
`static GeneratedType` `get(int value)` Returns the 'Generated Type' literal with the specified integer value
`static GeneratedType` `get(java.lang.String literal)` Returns the 'Generated Type' literal with the specified literal value
`static GeneratedType` `getByName(java.lang.String name)` Returns the 'Generated Type' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GeneratedType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GeneratedType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABSTRACT_NAVIGATOR_ITEM_LITERAL

    public static final GeneratedType ABSTRACT_NAVIGATOR_ITEM_LITERAL

  The 'Abstract Navigator Item' literal object.

  See Also:
    `ABSTRACT_NAVIGATOR_ITEM`
  ** Generated **
  Ordered:

Field Detail

### ABSTRACT_NAVIGATOR_ITEM

    public static final int ABSTRACT_NAVIGATOR_ITEM

  The 'Abstract Navigator Item' literal value.

  If the meaning of 'Abstract Navigator Item' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ABSTRACT_NAVIGATOR_ITEM_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="abstractNavigatorItem"

### VALUES

    public static final java.util.List<GeneratedType> VALUES

  A public read-only list of all the 'Generated Type' enumerators.

  ** Generated **

Method Detail

### values

    public static final GeneratedType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GeneratedType c : GeneratedType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GeneratedType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static GeneratedType get(java.lang.String literal)

  Returns the 'Generated Type' literal with the specified literal value.

  ** Generated **

### getByName

    public static GeneratedType getByName(java.lang.String name)

  Returns the 'Generated Type' literal with the specified name.

  ** Generated **

### get

    public static GeneratedType get(int value)

  Returns the 'Generated Type' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GeneratedType>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.